component: ZciPublisherDiagnostic
proto_imports:
  - vehicle/sensors/cameras/diagnostics/diagnostic.proto
metric: ZciPublisherConsumerMetric
namespace: zoox::vehicle::cammux
faults:
  - id: 1
    name: initialization_failed
    severity: WARNING
    description: "ZCI publisher consumer failed to initialize"
  - id: 2
    name: buffer_overflow
    severity: WARNING
    description: "Image queue is being overrun. publisher is not keeping up."
  - id: 3
    name: delivery_latency_high
    severity: WARNING
    description: "Pipeline latency is high. Frames are being delivered to vision late."
  - id: 4
    name: publish_latency_high
    severity: WARNING
    description: "Publish latency is high. It is taking too long to make image blobs."
  - id: 5
    name: vision_not_enabled
    severity: INFO
    description: "Vision is not currently enabled for this process"
